Bug 1568473 - Saving a service dialog with a multi-select drop-down populated by expression method gives a 500 internal server error
Summary: Saving a service dialog with a multi-select drop-down populated by expression...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Roman Blanco
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1559030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 15:03 UTC by Satoe Imaishi
Modified: 2020-05-19 17:13 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1559030
Environment:
Last Closed: 2018-05-07 20:49:36 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:50:28 UTC

Comment 2 CFME Bot 2018-04-17 15:11:53 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/821e7822b97f9778fcf550e2c236f2d6767e3e69
commit 821e7822b97f9778fcf550e2c236f2d6767e3e69
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Apr 17 10:36:41 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Apr 17 10:36:41 2018 -0400

    Merge pull request #17272 from romanblanco/bz1559030-v2

    Forcing default_value to an array, if the dynamic dropdown is multiselect
    (cherry picked from commit 41f514dbfb949c4921969514d8824c7dd6c6344c)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568473

 app/models/dialog_field_radio_button.rb | 4 +
 app/models/dialog_field_sorted_item.rb | 3 +
 spec/models/dialog_field_sorted_item_spec.rb | 48 +-
 3 files changed, 53 insertions(+), 2 deletions(-)

Comment 3 Shveta 2018-04-24 06:10:59 UTC
Changing a dialog from Multiselect =No to Multiselect=yes works fine in 
5.9.2.3.20180419182310_cab2891

Comment 6 errata-xmlrpc 2018-05-07 20:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.